%define         uid       37
%define         username  openxpki
%define         homedir   /tmp
%define         gecos     "OpenXPKI Certification Authority"


Name:           OpenXPKI
Version:        0.9.794
Release:        1%{?dist}
Summary:        OpenXPKI CA Deployment and Base configuration tools
License:        Apache Software License
Group:          Applications/Internet
URL:            http://www.openxpki.org
Source0:        http://www.openxpki.org/lastmidnight/openxpki-deployment-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(OpenXPKI), perl(OpenXPKI::Client)
Requires:       OpenXPKI-i18n
Requires:       openssl


%description
The OpenXPKI Project aims at creating an enterprise-grade
PKI/Trustcenter software supporting well established infrastructure
components like RDBMS and Hardware Security Modules.
Flexibility and modularity are the project's key design objectives.


%prep
%setup -q -n openxpki-deployment-%{version}

%build
sh -x ./configure --prefix %{_prefix} -- \
    --setcfg dir.exec_prefix=%{_exec_prefix} \
    --setcfg dir.mandir='$(dir.datarootdir)/man' \
    --setcfg dir.sysconfdir=%{_sysconfdir} \
    --setcfg dir.openxpkiconfdir='$(dir.sysconfdir)/openxpki' \
    --setcfg dir.localstatedir=%{_localstatedir} \
    --setcfg dir.openxpkistatedir=%{_localstatedir}/lib/openxpki \
    --setcfg dir.tmpdir=/tmp \
    --setcfg server.runuser=openxpki \
    --setcfg server.rungroup=openxpki \
    --setcfg server.admuser=root \
    --setcfg server.admgroup=root \
    --setcfg server.socketuser=openxpki \
    --setcfg server.socketgroup=apache \
    --setcfg server.pidfile='$(dir.localstatedir)/run/openxpki.pid' \
    --setcfg server.stderrfile='$(dir.localstatedir)/log/openxpki/stderr.log' \
    --setcfg log.logfile='$(dir.localstatedir)/log/openxpki/openxpki.log'

make


%install
rm -rf %{buildroot}
# Override the owners of the file, rpm is taking care of it later
make install DESTDIR=%{buildroot} MANDIR=%{_mandir} \
    RUNUSER=$USER RUNGROUP=$USER ADMUSER=$USER ADMGROUP=$USER
mkdir -p %{buildroot}%{_sysconfdir}/openxpki
mkdir -p %{buildroot}%{_localstatedir}/lib/openxpki/
mkdir -p %{buildroot}%{_localstatedir}/lib/openxpki/session
mkdir -p %{buildroot}%{_localstatedir}/lib/openxpki/dataexchange


%clean
rm -rf %{buildroot}


%pre
/usr/sbin/fedora-groupadd %uid -r %username &>/dev/null || :
/usr/sbin/fedora-useradd  %uid -r -s /sbin/nologin -d %homedir -M          \
                               -c '%gecos' -g %username %username &>/dev/null || :


%postun
test "$1" != 0 || /usr/sbin/fedora-userdel  %username &>/dev/null || :
test "$1" != 0 || /usr/sbin/fedora-groupdel %username &>/dev/null || :


%files
%defattr(-,root,root,-)
%doc README
%{_sysconfdir}/openxpki/
%{_bindir}/*
%{_mandir}/man1/*
%attr(-,openxpki,openxpki) %{_datadir}/openxpki/
%attr(-,openxpki,openxpki) %{_localstatedir}/lib/openxpki
%attr(-,openxpki,openxpki) %{_localstatedir}/lib/openxpki/session
%attr(-,openxpki,openxpki) %{_localstatedir}/lib/openxpki/dataexchange
%attr(775,root,openxpki) %{_localstatedir}/log/openxpki


%changelog
* Thu Apr 12 2007 Andreas Thienemann <andreas@bawue.net> 0.9.794-1
- Updated to 0.9.794

* Wed Apr 04 2007 Andreas Thienemann <andreas@bawue.net> 0.9.790-3
- Added missing dirs

* Wed Apr 04 2007 Andreas Thienemann <andreas@bawue.net> 0.9.790-2
- Fixed tmppath

* Wed Apr 04 2007 Andreas Thienemann <andreas@bawue.net> 0.9.790-1
- Updated to 0.9.790
- Fixed file locations

* Thu Mar 31 2007 Andreas Thienemann <andreas@bawue.net> 0.9.781-1
- Initial package for FE
